#
# spec file for package photocrop
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

%define unmangled_version 0.230112-0~alpha
Name:       photocrop
Version:	0.230112
Release:    0~alpha
Summary:	An application for cropping photos to popular paper sizes.
License:	GPL
URL:		https://pietraszczyk.vxm.pl/przycinanie-zdjec/
Source0:	%{name}-%{unmangled_version}.tar.gz
%if 0%{?suse_version}>=150000
BuildRequires:	python3, python3-gobject, python3-gobject-Gdk, typelib-1_0-Gtk-3_0, libgtk-3-0
Requires:       python3, python3-gobject, python3-gobject-Gdk, typelib-1_0-Gtk-3_0, libgtk-3-0
%endif
%if 0%{?fedora}>=35
BuildRequires:	python3, python3-gobject, gtk3
Requires:		python3, python3-gobject, gtk3
%endif
BuildArch:	noarch

%description


%prep
%setup -n %{name}-%{unmangled_version} -n %{name}-%{unmangled_version}

%build

%install

mkdir -p %{buildroot}/usr
mkdir -p %{buildroot}/usr/share
mkdir -p %{buildroot}/usr/share/photocrop
mkdir -p %{buildroot}/usr/share/applications
mkdir -p %{buildroot}/usr/bin

install -m 0755 src/photocrop.py %{buildroot}/usr/bin
install -m 0644 data/clip.png %{buildroot}/usr/share/photocrop/clip.png
#install -m 0644 data/blank.png %{buildroot}/usr/share/photocrop/blank.png
install -m 0644 data/IMG_6854.JPG %{buildroot}/usr/share/photocrop/IMG_6854.JPG
install -m 0644 data/photocrop.desktop %{buildroot}/usr/share/applications



%files
%defattr(0755,root,root)
/usr/bin/photocrop.py
/usr/share/photocrop/
%defattr(0644,root,root)
/usr/share/photocrop/clip.png
#/usr/share/photocrop/blank.png
/usr/share/photocrop/IMG_6854.JPG 
/usr/share/applications/photocrop.desktop

%changelog

